/* -*-c-*-
 *
 * $Id: cancel.h,v 1.5 2004/04/08 01:36:14 mdw Exp $
 *
 * Handle Escape keypresses, directing them to cancel buttons
 *
 * (c) 1998 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the mgLib GTK utilities library.
 *
 * mgLib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * mgLib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with mgLib; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

#ifndef MGLIB_CANCEL_H
#define MGLIB_CANCEL_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#include <gtk/gtk.h>

/*----- Functions provided ------------------------------------------------*/

/* --- @cancel@ --- *
 *
 * Arguments:	@GtkWindow *win@ = window in which this is happening
 *		@GtkWidget *w@ = widget to activate, or null
 *
 * Returns:	---
 *
 * Use:		Sets up @win@ so that a press of `escape' will activate
 *		@w@ or destroy @win@.
 */

extern void cancel(GtkWindow */*win*/, GtkWidget */*w*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
